Public Member Functions | Private Attributes

# VehicleOrderSaver Class Reference

This class will save the current order of a vehicle and restore it on destruction. More...

## Public Member Functions
| VehicleOrderSaver (Train *_v)
bool | SwitchToNextOrder (bool skip_first)
| Set the current vehicle order to the next order in the order list.
## Private Attributes
Train * | v
Order | old_order
TileIndex | old_dest_tile
StationID | old_last_station_visited
VehicleOrderID | index
bool | suppress_implicit_orders

## Detailed Description

This class will save the current order of a vehicle and restore it on destruction.

Definition at line 2413 of file train_cmd.cpp.

## Member Function Documentation

bool VehicleOrderSaver::SwitchToNextOrder | ( | bool | skip_first | ) | `[inline]`

Set the current vehicle order to the next order in the order list.

Parameters:

  | skip_first | Shall the first (i.e. active) order be skipped?

Returns:
  True if a suitable next order could be found.

Definition at line 2446 of file train_cmd.cpp.

References Vehicle::current_order, Order::GetDepotOrderType(), Vehicle::GetNumOrders(), Vehicle::GetOrder(), Order::GetType(), INVALID_VEH_ORDER_ID, Vehicle::NeedsServicing(), ProcessConditionalOrder(), and UpdateOrderDest().

The documentation for this class was generated from the following file:

- src/train_cmd.cpp